## org.emboss.jemboss.parser
Class Dependent

    java.lang.Object
      |
      +--org.emboss.jemboss.parser.Dependent

public class Dependent
extends java.lang.Object

Field Summary
`private java.lang.String` `exp`
`private int` `field`
`private int` `param`
`private java.lang.String` `type`

Constructor Summary
`Dependent(int field, int param, java.lang.String exp, java.lang.String type)`

Method Summary
`java.lang.String` `getDependentExp()`
`int` `getDependentField()`
`int` `getDependentParam()`
`java.lang.String` `getDependentType()`
`void` `setDependentExp(java.lang.String exp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    private int field

### param

    private int param

### exp

    private java.lang.String exp

### type

    private java.lang.String type

Constructor Detail

### Dependent

    public Dependent(int field,
                     int param,
                     java.lang.String exp,
                     java.lang.String type)

Method Detail

### getDependentField

    public int getDependentField()

### getDependentParam

    public int getDependentParam()

### getDependentExp

    public java.lang.String getDependentExp()

### getDependentType

    public java.lang.String getDependentType()

### setDependentExp

    public void setDependentExp(java.lang.String exp)